CVE-1999-1079
CVSS4.6
发布时间 :1999-05-06 00:00:00
修订时间 :2016-10-17 22:01:04
NMCOS    

[原文]Vulnerability in ptrace in AIX 4.3 allows local users to gain privileges by attaching to a setgid program.


[CNNVD]AIX ptrace()漏洞(CNNVD-199905-012)

        AIX 4.3的ptrace上存在漏洞。本地用户通过附加到setgid程序获取特权。

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:ibm:aix:4.1.3IBM AIX 4.1.3
cpe:/o:ibm:aix:4.3IBM AIX 4.3
cpe:/o:ibm:aix:4.1.4IBM AIX 4.1.4
cpe:/o:ibm:aix:4.2IBM AIX 4.2
cpe:/o:ibm:aix:4.3.2IBM AIX 4.3.2
cpe:/o:ibm:aix:3.2.5IBM AIX 3.2.5
cpe:/o:ibm:aix:4.1IBM AIX 4.1
cpe:/o:ibm:aix:4.1.1IBM AIX 4.1.1
cpe:/o:ibm:aix:4.1.2IBM AIX 4.1.2
cpe:/o:ibm:aix:4.2.1IBM AIX 4.2.1
cpe:/o:ibm:aix:4.1.5IBM AIX 4.1.5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-1079
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-1999-1079
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-199905-012
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=92601792420088&w=2
(UNKNOWN)  BUGTRAQ  19990506 AIX Security Fixes Update
http://marc.info/?l=bugtraq&m=93587956513233&w=2
(UNKNOWN)  BUGTRAQ  19990825 AIX security summary
http://www-1.ibm.com/servlet/support/manager?rs=0&rt=0&org=apars&doc=08E0B1A1B85472A1852567C90031BB36
(UNKNOWN)  AIXAPAR  IX80470
http://www.securityfocus.com/bid/439
(VENDOR_ADVISORY)  BID  439

- 漏洞信息

AIX ptrace()漏洞
中危 访问验证错误
1999-05-06 00:00:00 2005-10-20 00:00:00
本地  
        AIX 4.3的ptrace上存在漏洞。本地用户通过附加到setgid程序获取特权。

- 公告与补丁

        IBM has released the following APAR'S to address this problem:
        AIX 4.3
        ---------
        APAR # IX80470

- 漏洞信息

8018
IBM AIX ptrace setgid Privilege Escalation
Loss of Integrity Patch / RCS
Vendor Verified

- 漏洞描述

- 时间线

1998-07-17 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, IBM has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

AIX ptrace() Vulnerability
Access Validation Error 439
No Yes
1998-07-17 12:00:00 2009-07-11 12:56:00
This vulnerability was published to the IBM APAR Database on July 17, 1998. The SecurityFocus Database entry for this problem is based wholly off that information.

- 受影响的程序版本

IBM AIX 4.3
IBM AIX 4.3.2
IBM AIX 4.2.1
IBM AIX 4.2
IBM AIX 4.1.5
IBM AIX 4.1.4
IBM AIX 4.1.3
IBM AIX 4.1.2
IBM AIX 4.1.1
IBM AIX 4.1
IBM AIX 3.2.5

- 不受影响的程序版本

IBM AIX 4.3.2
IBM AIX 4.2.1
IBM AIX 4.2
IBM AIX 4.1.5
IBM AIX 4.1.4
IBM AIX 4.1.3
IBM AIX 4.1.2
IBM AIX 4.1.1
IBM AIX 4.1
IBM AIX 3.2.5

- 漏洞讨论

Under certain versions of AIX, an ordinary user can attach to a set-GID (Group ID) program with the ptrace() system call. This let's them control the execution of children processes and launch code under the GID which the program is running as.

- 漏洞利用

Currently the SecurityFocus staff are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com.

- 解决方案

IBM has released the following APAR'S to address this problem:

AIX 4.3
---------
APAR # IX80470

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站